Name: libmidgard
Version: 1.5.1
Release: alt0.3cvs20030916
Summary:  Midgard Library
License: GPL
URL: http://www.midgard-project.org/
Group: System/Libraries
Packager: Sergei Dolmatov <saint@altlinux.ru>
Vendor: ALT Linux Team <http://www.altlinux.org>
Source: midgard-lib-%{version}.tar.bz2
Patch: libmidgard-1.4.3-Makefile-repligard-ownership.patch

# Automatically added by buildreq on Tue Mar 02 2004
BuildRequires: flex glib-devel glibc-devel-static libMySQL-devel libexpat-devel zlib-devel

%description
Midgard is a freely-available Web application development and
publishing platform based on the popular PHP scripting language. It is
an Open Source development project, giving you the freedom to create
your solutions in an open environment. Midgard is the tool for
creating, modifying and maintaining dynamic database-enabled web
services.

%package devel
Summary:  Development files for Midgard Library
Group: Development/C
Requires: %name = %version-%release

%description devel
Midgard is a freely-available Web application development and
publishing platform based on the popular PHP scripting language. It is
an Open Source development project, giving you the freedom to create
your solutions in an open environment. Midgard is the tool for
creating, modifying and maintaining dynamic database-enabled web
services. This package provides development environment mandatory
for building full Midgard Suite from sources.

%package -n repligard
Summary: Replication utility for Midgard
Group: File tools
Requires: %name = %version

%description -n repligard
Midgard is a freely-available Web application development and
publishing platform based on the popular PHP scripting language. It is
an Open Source development project, giving you the freedom to create
your solutions in an open environment. Midgard is the tool for
creating, modifying and maintaining dynamic database-enabled web
services.
This package provides replication utility for Midgard.

%prep
%setup -n midgard-lib-%version
%patch -p0

%build
#autoconf
%configure --with-sitegroups --with-mysql=/usr --with-repligard-owner=root
%make_build
mkdir replication
cp -pr repligard/{README,AUTHORS,ChangeLog,COPYING,NEWS} replication/

%install
%makeinstall install
#make DESTDIR="$RPM_BUILD_ROOT" AM_INSTALL_PROGRAM_FLAGS="-m'u+srx,g+rx,o+rx'" install

%post
%post_ldconfig

%pre -n repligard
/usr/sbin/groupadd -r -f repligard &>/dev/null

%postun
%postun_ldconfig

%files
%defattr(-,root,root)
%_libdir/libmidgard.so.*

%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc INSTALL
%doc INSTALL.ru
%doc NEWS
%doc README
%doc README.ru

%files devel
%defattr(-,root,root)
%_libdir/libmidgard.so
%_libdir/libmidgard.a
%_includedir/*
%attr(0755,root,root) %_bindir/midgard-*

%files -n repligard
%attr(0640,root,repligard) %_sysconfdir/*
%_datadir/midgard/*
%attr(2710,root,repligard) %_bindir/repligard
%docdir replication

%changelog
* Fri Mar 26 2004 Sergei Dolmatov <saint@altlinux.ru> 1.5.1-alt0.3cvs20030916
- Remove depend on obsolete libmysqlclient10

* Mon Jan 27 2003 Sergei Dolmatov <sergei@dolmatov.dsb.ru> 1.4.4-alt1
- Version 1.4.4
- Repligard is in separate package now

* Mon Mar 19 2001 Alexander Bokovoy <ab@avilink.net>
    - Fixed documentation for Repligard

* Mon Mar 19 2001 Alexander Bokovoy <ab@avilink.net>
    - Version 1.4.1
    
* Sun Oct 08 2000 Alexander Bokovoy <ab@avilink.net>
    - Rebuild from MPRy CVS, Repligard re-written
    - Package split to Midgard-lib and Midgard-lib-devel
    - BuildRequires added using buildreq generator
    
